return {
  'ribru17/bamboo.nvim',
  lazy = true,
  priority = 1000,
  config = function()
    local colors = require('bamboo.palette')
    require('bamboo').setup({
      dim_inactive = false, -- Dim inactive windows/buffers
      lualine = {
        transparent = false, -- lualine center bar transparency
      },
      code_style = {
        comments = { italic = false },
        conditionals = { italic = false },
        keywords = {},
        functions = {},
        namespaces = { italic = false },
        parameters = { italic = false },
        strings = {},
        variables = {},
      },
      highlights = {
        ['@lsp.type.comment'] = { link = '@comment', default = true },
        ['@comment'] = { fg = colors.vulgaris.light_grey, default = true },
        ['@lsp.type.parameter'] = { fg = colors.vulgaris.red },
        ['@lsp.mod.readonly'] = { fmt = 'bold', fg = 'NONE' },
        ['@lsp.typemod.parameter.readonly'] = { fmt = 'bold', fg = 'NONE' },
        ['@lsp.typemod.method.defaultLibrary.cpp'] = { fg = 'NONE' },
        ['@function.builtin'] = { fg = 'NONE' },
        ['LspReferenceRead'] = { bg = colors.vulgaris.green, fg = colors.vulgaris.bg1, fmt = 'nocombine' },
        ['LspReferenceWrite'] = { bg = colors.vulgaris.red, fg = colors.vulgaris.bg1, fmt = 'nocombine' },
        ['LspReferenceText'] = { bg = colors.vulgaris.cyan, fg = colors.vulgaris.bg1, fmt = 'nocombine' },
        -- ['NormalFloat'] = { bg = colors.vulgaris.bg3, fmt = 'nocombine' },
        -- ['FloatBorder'] = { bg = colors.vulgaris.bg_d, fmt = 'nocombine' },
        ['SnacksPickerList'] = { bg = colors.vulgaris.bg_d, fmt = 'nocombine' },
        ['SnacksPickerListCursorLine'] = { bg = colors.vulgaris.bg3, fmt = 'nocombine' },
        ['SnacksPickerPrompt'] = { bg = colors.vulgaris.bg_d, fmt = 'nocombine' },
        ['SnacksPickerInput'] = { bg = colors.vulgaris.bg_d, fmt = 'nocombine' },
        ['SnacksPickerPreview'] = { bg = colors.vulgaris.bg_d, fmt = 'nocombine' },
        ['SnacksPickerInputBorder'] = { bg = colors.vulgaris.bg_d, fmt = 'nocombine' },
        ['NonText'] = { fg = colors.vulgaris.blue },
        ['BlinkCmpMenu'] = { bg = colors.vulgaris.bg2 },
        ['BlinkCmpDoc'] = { bg = colors.vulgaris.bg2 },
        ['CmpDocumentation'] = { bg = colors.vulgaris.bg2 },
        ['BlinkCmpMenuSelection'] = { bg = colors.vulgaris.grey },
        ['PmenuSel'] = { bg = '#282C34', fg = 'NONE' },
        ['Pmenu'] = { fg = '#C5CDD9', bg = colors.vulgaris.bg3 },
        ['CmpItemAbbrDeprecated'] = { fg = '#7E8294', bg = 'NONE', strikethrough = true },
        ['CmpItemAbbrMatch'] = { fg = '#82AAFF', bg = 'NONE', bold = true },
        ['CmpItemAbbrMatchFuzzy'] = { fg = '#82AAFF', bg = 'NONE', bold = true },
        ['CmpItemMenu'] = { fg = '#C792EA', bg = 'NONE', italic = true },
        ['CmpItemKindField'] = { fg = '#EED8DA', bg = '#B5585F' },
        ['CmpItemKindProperty'] = { fg = '#EED8DA', bg = '#B5585F' },
        ['CmpItemKindEvent'] = { fg = '#EED8DA', bg = '#B5585F' },
        ['CmpItemKindText'] = { fg = '#C3E88D', bg = '#9FBD73' },
        ['CmpItemKindEnum'] = { fg = '#C3E88D', bg = '#9FBD73' },
        ['CmpItemKindKeyword'] = { fg = '#C3E88D', bg = '#9FBD73' },
        ['CmpItemKindConstant'] = { fg = '#FFE082', bg = '#D4BB6C' },
        ['CmpItemKindConstructor'] = { fg = '#FFE082', bg = '#D4BB6C' },
        ['CmpItemKindReference'] = { fg = '#FFE082', bg = '#D4BB6C' },
        ['CmpItemKindFunction'] = { fg = '#EADFF0', bg = '#A377BF' },
        ['CmpItemKindStruct'] = { fg = '#EADFF0', bg = '#A377BF' },
        ['CmpItemKindClass'] = { fg = '#EADFF0', bg = '#A377BF' },
        ['CmpItemKindModule'] = { fg = '#EADFF0', bg = '#A377BF' },
        ['CmpItemKindOperator'] = { fg = '#EADFF0', bg = '#A377BF' },
        ['CmpItemKindVariable'] = { fg = '#C5CDD9', bg = '#7E8294' },
        ['CmpItemKindFile'] = { fg = '#C5CDD9', bg = '#7E8294' },
        ['CmpItemKindUnit'] = { fg = '#F5EBD9', bg = '#D4A959' },
        ['CmpItemKindSnippet'] = { fg = '#F5EBD9', bg = '#D4A959' },
        ['CmpItemKindFolder'] = { fg = '#F5EBD9', bg = '#D4A959' },
        ['CmpItemKindMethod'] = { fg = '#DDE5F5', bg = '#6C8ED4' },
        ['CmpItemKindValue'] = { fg = '#DDE5F5', bg = '#6C8ED4' },
        ['CmpItemKindEnumMember'] = { fg = '#DDE5F5', bg = '#6C8ED4' },
        ['CmpItemKindInterface'] = { fg = '#D8EEEB', bg = '#58B5A8' },
        ['CmpItemKindColor'] = { fg = '#D8EEEB', bg = '#58B5A8' },
        ['CmpItemKindTypeParameter'] = { fg = '#D8EEEB', bg = '#58B5A8' },
      },
    })
    require('bamboo').load()
  end,
  enabled = true,
}
